server {
    listen 80 default_server;
    listen [::]:80 default_server;
    server_name _;

    location / {
        return 301 http://{{ nginx_main_hostname }}$request_uri;
    }

    include snippets/letsencrypt;
}

server {
    listen 443 ssl http2 default_server;
    listen [::]:443 ssl http2 default_server;
    server_name _;

    location / {
        return 301 https://{{ nginx_main_hostname }}$request_uri;
    }

    {% if nginx_ssl_deployed %}
    ssl_certificate /etc/letsencrypt/live/{{ nginx_main_hostname }}/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/{{ nginx_main_hostname }}/privkey.pem;
    {% endif %}
    include snippets/letsencrypt_ssl;
}